## AzureResourceManager Queries List
This page contains all queries from AzureResourceManager.

|            Query             |Severity|Category|Description|Help|
|------------------------------|--------|--------|-----------|----|
|Key Vault Not Recoverable<br/><sup><sub>7c25f361-7c66-44bf-9b69-022acd5eb4bd</sub></sup>|<span style="color:#C00">High</span>|Backup|Key Vault should have 'enableSoftDelete' and 'enablePurgeProtection' set to true|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.keyvault/2019-09-01/vaults?tabs=json#vaultproperties-object">Documentation</a><br/>|
|Azure Instance Using Basic Authentication<br/><sup><sub>6797f581-0433-4768-ae3e-7ceb2f8b138e</sub></sup>|<span style="color:#C00">High</span>|Best Practices|Azure Instances should use SSH Key instead of basic authentication|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.compute/virtualmachines?tabs=json#linuxconfiguration-object">Documentation</a><br/>|
|Secret Without Expiration Date<br/><sup><sub>cff9c3f7-e8f0-455f-9fb4-5f72326da96e</sub></sup>|<span style="color:#C00">High</span>|Best Practices|All Secrets must have an expiration date defined|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.keyvault/vaults/secrets?tabs=json#SecretAttributes">Documentation</a><br/>|
|Web App Not Using TLS Last Version<br/><sup><sub>b5c851d5-00f1-43dc-a8de-3218fd6f71be</sub></sup>|<span style="color:#C00">High</span>|Encryption|Resources of type 'Microsoft.Web/sites' should define 'properties.siteConfig.minTlsVersion' with '1.2'|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.web/sites?tabs=json#siteconfig-object">Documentation</a><br/>|
|Azure Managed Disk Without Encryption<br/><sup><sub>350f3955-b5be-436f-afaa-3d2be2fa6cdd</sub></sup>|<span style="color:#C00">High</span>|Encryption|Azure Disk Encryption should be enabled|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.compute/disks?tabs=json#encryptionsettingscollection-object">Documentation</a><br/>|
|Storage Account Allows Unsecure Transfer<br/><sup><sub>1367dd13-2c90-4020-80b7-e4339a3dc2c4</sub></sup>|<span style="color:#C00">High</span>|Encryption|'Microsoft.Storage/storageAccounts' should force the use of HTTPS|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.storage/storageaccounts?tabs=json#storageaccountpropertiescreateparameters-object">Documentation</a><br/>|
|Website Not Forcing HTTPS<br/><sup><sub>488847ff-6031-487c-bf42-98fd6ac5c9a0</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|'Microsoft.Web/sites' should force the use of HTTPS|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.web/sites?tabs=json#siteproperties-object">Documentation</a><br/>|
|Storage Blob Service Container With Public Access<br/><sup><sub>a0ab985d-660b-41f7-ac81-70957ee8e627</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|Storage Blob Service Container should not publicly accessible|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.storage/storageaccounts/blobservices/containers?tabs=json#containerproperties-object">Documentation</a><br/>|
|MySQL Server SSL Enforcement Disabled<br/><sup><sub>90120147-f2e7-4fda-bb21-6fa9109afd63</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|'Microsoft.DBforMySQL/servers' should enforce SSL|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.dbformysql/servers?tabs=json#serverpropertiesforcreate-object">Documentation</a><br/>|
|PostgreSQL Database Server SSL Disabled<br/><sup><sub>bf500309-da53-4dd3-bcf7-95f7974545a5</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|Microsoft.DBforPostgreSQL/servers sslEnforcement property should be set to 'Enabled'|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.dbforpostgresql/2017-12-01/servers?tabs=json">Documentation</a><br/>|
|Trusted Microsoft Services Not Enabled<br/><sup><sub>e25b56cd-a4d6-498f-ab92-e6296a082097</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|Trusted Microsoft Services should be enabled for Storage Account access|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.storage/storageaccounts?tabs=json#networkruleset">Documentation</a><br/>|
|Network Security Group With Unrestricted Access To SSH<br/><sup><sub>2ade1579-4b2c-4590-bebb-f99bf597f612</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|Port 22 (SSH) is exposed to the Internet|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.network/2020-07-01/networksecuritygroups?tabs=json#securityrulepropertiesformat-object">Documentation</a><br/>|
|Network Security Group With Unrestricted Access To RDP<br/><sup><sub>59cb3da7-f206-4ae6-b827-7abf0a9cab9d</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|Port 3389 (Remote Desktop) is exposed to the Internet|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.network/2020-07-01/networksecuritygroups?tabs=json#securityrulepropertiesformat-object">Documentation</a><br/>|
|SQL Database Server Firewall Allows All IPS<br/><sup><sub>6a3201a5-1630-494b-b294-3129d06b0eca</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|SQL Database Server Firewall endIpAddress should not be '255.255.255.255' when startIpAddress is '0.0.0.0' since this allows all IPS|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.sql/2014-04-01/servers/firewallrules?tabs=json">Documentation</a><br/>|
|Website with Client Certificate Auth Disabled<br/><sup><sub>92302b47-b0cc-46cb-a28f-5610ecda140b</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|'Microsoft.Web/sites' should have client certificate authentication enabled|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.web/sites?tabs=json#siteproperties-object">Documentation</a><br/>|
|AKS Cluster RBAC Disabled<br/><sup><sub>9307a2ed-35c2-413d-94de-a1a0682c2158</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Microsoft.ContainerService/managedClusters should have enableRBAC set to true|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.containerservice/managedclusters?tabs=json">Documentation</a><br/>|
|Role Definitions Allow Custom Subscription Role Creation<br/><sup><sub>8fa9ceea-881f-4ef0-b0b8-728f589699a7</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Role Definitions should not allow custom subscription role creation (actions set to '*' or 'Microsoft.Authorization/roleDefinitions/write')|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.authorization/roledefinitions?tabs=json#permission-object">Documentation</a><br/>|
|Default Azure Storage Account Network Access Is Too Permissive<br/><sup><sub>d855ced8-6157-448f-9f1d-f05a41d046f7</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Make sure that your Azure Storage Account access is limited to those who require it.|<a href="https://learn.microsoft.com/en-us/azure/templates/microsoft.storage/storageaccounts">Documentation</a><br/>|
|SQL Server Database With Alerts Disabled<br/><sup><sub>574e8d82-1db2-4b9c-b526-e320ede9a9ff</sub></sup>|<span style="color:#C60">Medium</span>|Best Practices|All Alerts should be enabled in SQL Database Server SecurityAlerts Policy Properties|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.sql/servers/databases/securityalertpolicies?tabs=json">Documentation</a><br/>|
|AKS Cluster Network Policy Not Configured<br/><sup><sub>25c0228e-4444-459b-a2df-93c7df40b7ed</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Azure Kubernetes Service must have a network policy defined.|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.containerservice/managedclusters?tabs=json#containerservicenetworkprofile-object">Documentation</a><br/>|
|PostgreSQL Database Server Log Connections Disabled<br/><sup><sub>e69bda39-e1e2-47ca-b9ee-b6531b23aedd</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Microsoft.DBforPostgreSQL/servers/configurations should have 'log_connections' property set to 'on'|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.dbforpostgresql/servers/configurations?tabs=json#configurationproperties-object">Documentation</a><br/>|
|AKS With Authorized IP Ranges Disabled<br/><sup><sub>2583fab1-953b-4fae-bd02-4a136a6c21f9</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Azure Kubernetes Service must have an authorized IP range for API Services enabled|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.containerservice/managedclusters?tabs=json#managedclusterapiserveraccessprofile-object">Documentation</a><br/>|
|PostgreSQL Database Server Log Checkpoints Disabled<br/><sup><sub>f9112910-c7bb-4864-9f5e-2059ba413bb7</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Microsoft.DBforPostgreSQL/servers/configurations should have 'log_checkpoint' property set to 'on'|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.dbforpostgresql/2017-12-01/servers/configurations?tabs=json">Documentation</a><br/>|
|Standard Price Is Not Selected<br/><sup><sub>2081c7d6-2851-4cce-bda5-cb49d462da42</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Azure Security Center provides more features for standard pricing mode, so it must be activated.|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.security/pricings?tabs=json#pricingproperties-object">Documentation</a><br/>|
|PostgresSQL Database Server Connection Throttling Disabled<br/><sup><sub>a6d774b6-d9ea-4bf4-8433-217bf15d2fb8</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Microsoft.DBforPostgreSQL/servers/configurations should have 'connection_throttling' property set to 'on'|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.dbforpostgresql/servers/configurations?tabs=json">Documentation</a><br/>|
|Log Profile Incorrect Category<br/><sup><sub>4d522e7b-f938-4d51-a3b1-974ada528bd3</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Log Profile Categories should be set to 'Write', 'Delete', and/or 'Action'|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.insights/2016-03-01/logprofiles?tabs=json#logprofileproperties-object">Documentation</a><br/>|
|Storage Logging For Read Write And Delete Requests Disabled<br/><sup><sub>43f6e60c-9cdb-4e77-864d-a66595d26518</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Storage Logging should be enabled for read, write and delete methods|<a href="https://docs.microsoft.com/pt-pt/azure/azure-monitor/essentials/resource-manager-diagnostic-settings#diagnostic-setting-for-azure-storage">Documentation</a><br/>|
|Unrecommended Log Profile Retention Policy<br/><sup><sub>25684eac-daaa-4c2c-94b4-8d2dbb627909</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Log Profile Retention Policy should be enabled and the recommended number of days for the retention should be higher than 365 or 0 (0 will retain the events indefinitely)|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.insights/2016-03-01/logprofiles?tabs=json#retentionpolicy-object">Documentation</a><br/>|
|AKS Logging To Azure Monitoring Is Disabled<br/><sup><sub>9b09dee1-f09b-4013-91d2-158fa4695f4b</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Azure Kubernetes Service should have logging to Azure Monitoring enabled.|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.containerservice/managedclusters?tabs=json#managedclusteraddonprofile">Documentation</a><br/>|
|SQL Server Database Without Auditing<br/><sup><sub>e055285c-bc01-48b4-8aa5-8a54acdd29df</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Every 'Microsoft.Sql/servers/databases' resource should have Auditing Enabled|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.sql/servers/databases/auditingsettings">Documentation</a><br/>|
|Unrecommended Network Watcher Flow Log Retention Policy<br/><sup><sub>564b70f8-41cd-4690-aff8-bb53add86bc9</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Network Watcher Flow Log Retention Policy should be enabled and the recommended number of days for the retention should be higher than 90|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.network/2019-11-01/networkwatchers/flowlogs?tabs=json#retentionpolicyparameters-object">Documentation</a><br/>|
|SQL Server Database With Unrecommended Retention Days<br/><sup><sub>c09cdac2-7670-458a-bf6c-efad6880973a</sub></sup>|<span style="color:#C60">Medium</span>|Observability|SQL Server Database Auditing Settings should keep the audit logs in the storage account for at least 90 days|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.sql/servers/databases/auditingsettings?tabs=json">Documentation</a><br/>|
|Hardcoded SecureString Parameter Default Value<br/><sup><sub>4d2cf896-c053-4be5-9c95-8b4771112f29</sub></sup>|<span style="color:#C60">Medium</span>|Secret Management|Secure parameters should not have hardcoded default value|<a href="https://docs.microsoft.com/en-us/azure/azure-resource-manager/templates/template-test-cases#secure-parameters-cant-have-hardcoded-default">Documentation</a><br/>|
|Website Azure Active Directory Disabled<br/><sup><sub>e9c133e5-c2dd-4b7b-8fff-40f2de367b56</sub></sup>|<span style="color:#CC0">Low</span>|Access Control|WebApp should have Azure Active Directory  enabled with 'identity.type' set to 'SystemAssigned' or 'userAssignedIdentities' set to 'true'|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.web/2019-08-01/sites?tabs=json#ManagedServiceIdentity">Documentation</a><br/>|
|Phone Number Not Set For Security Contacts<br/><sup><sub>3e9fcc67-1f64-405f-b2f9-0a6be17598f0</sub></sup>|<span style="color:#CC0">Low</span>|Best Practices|Microsoft.Security securityContacts should have a phone number defined|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.security/securitycontacts?tabs=json">Documentation</a><br/>|
|AKS Dashboard Is Enabled<br/><sup><sub>c62d3b92-9a11-4ffd-b7b7-6faaae83faed</sub></sup>|<span style="color:#CC0">Low</span>|Insecure Configurations|Azure Kubernetes Service should have the Kubernetes dashboard disabled.|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.containerservice/managedclusters?tabs=json#managedclusteraddonprofile">Documentation</a><br/>|
|Website with 'Http20Enabled' Disabled<br/><sup><sub>70111098-7f85-48f0-b1b4-e4261cf5f61b</sub></sup>|<span style="color:#CC0">Low</span>|Networking and Firewall|'Microsoft.Web/sites' should have 'Http20Enabled' enabled|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.web/sites?tabs=json#siteproperties-object">Documentation</a><br/>|
|Storage Account Allows Default Network Access<br/><sup><sub>9073f073-5d60-4b46-b569-0d6baa80ed95</sub></sup>|<span style="color:#CC0">Low</span>|Networking and Firewall|'Microsoft.Storage/storageAccounts' should force the use of HTTPS|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.storage/storageaccounts?tabs=json#storageaccountpropertiescreateparameters-object">Documentation</a><br/>|
|App Service Authentication Is Not Set<br/><sup><sub>83130a07-235b-4a80-918b-a370e53f0bd9</sub></sup>|<span style="color:#00C">Info</span>|Access Control|Azure App Service should have App Service Authentication set|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.web/sites/config-web?tabs=json">Documentation</a><br/>|
|SQL Alert Policy Without Emails<br/><sup><sub>89b79fe5-49bd-4d39-84ce-55f5fc6f7764</sub></sup>|<span style="color:#00C">Info</span>|Best Practices|SQL Database Server should contain emails to be notified in the event of a Security Alert|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.sql/servers/databases/securityalertpolicies?tabs=json">Documentation</a><br/>|
|Account Admins Not Notified By Email<br/><sup><sub>a8852cc0-fd4b-4fc7-9372-1e43fad0732e</sub></sup>|<span style="color:#00C">Info</span>|Best Practices|Account admins should be notified by email in the event of security alerts|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.sql/2017-03-01-preview/servers/securityalertpolicies?tabs=json">Documentation</a><br/>|
|Email Notifications Disabled<br/><sup><sub>79c2c2c0-eb00-47c0-ac16-f8b0e2c81c92</sub></sup>|<span style="color:#00C">Info</span>|Networking and Firewall|Email notifications about new security alerts, should be set to 'On', and be sent to persons with specific RBAC roles on the subscription|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.security/securitycontacts">Documentation</a><br/>|
